parallel_sort.h File Reference
`#include "internal/_warning_suppress_enable_notice.h"`
`#include "parallel_for.h"`
`#include "blocked_range.h"`
`#include "internal/_range_iterator.h"`
`#include <algorithm>`
`#include <iterator>`
`#include <functional>`
`#include "tbb_profiling.h"`
`#include "internal/_warning_suppress_disable_notice.h"`
Include dependency graph for parallel_sort.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | tbb::interface9::internal::quick_sort_range< RandomAccessIterator, Compare >
| Range used in quicksort to split elements into subranges based on a value. More...
class | tbb::interface9::internal::quick_sort_pretest_body< RandomAccessIterator, Compare >
| Body class used to test if elements in a range are presorted. More...
struct | tbb::interface9::internal::quick_sort_body< RandomAccessIterator, Compare >
| Body class used to sort elements in a range that is smaller than the grainsize. More...

## Namespaces

| tbb
| The graph class.
| tbb::interface9
| tbb::interface9::internal

## Macros

#define | __TBB_parallel_sort_H_include_area

## Functions

template<typename RandomAccessIterator , typename Compare >
void | tbb::interface9::internal::parallel_quick_sort (RandomAccessIterator begin, RandomAccessIterator end, const Compare &comp)
| Wrapper method to initiate the sort by calling parallel_for. More...
parallel_sort
See also requirements on iterators for parallel_sort.
template<typename RandomAccessIterator , typename Compare >
void | tbb::parallel_sort (RandomAccessIterator begin, RandomAccessIterator end, const Compare &comp)
| Sorts the data in [begin,end) using the given comparator. More...
template<typename RandomAccessIterator >
void | tbb::parallel_sort (RandomAccessIterator begin, RandomAccessIterator end)
| Sorts the data in [begin,end) with a default comparator `std::less<RandomAccessIterator>` More...
template<typename Range , typename Compare >
void | tbb::parallel_sort (Range &rng, const Compare &comp)
| Sorts the data in rng using the given comparator. More...
template<typename Range >
void | tbb::parallel_sort (Range &rng)
| Sorts the data in rng with a default comparator `std::less<RandomAccessIterator>` More...
template<typename T >
void | tbb::parallel_sort (T *begin, T *end)
| Sorts the data in the range ``[begin,end) with a default comparator `std::less<T>` More...

## Macro Definition Documentation

## __TBB_parallel_sort_H_include_area

#define __TBB_parallel_sort_H_include_area

Definition at line 20 of file parallel_sort.h.

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.